package com.engine.organization.entity.department.param;

import com.engine.organization.common.BaseQueryParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/23
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DeptSearchParam extends BaseQueryParam {
    private Long id;

    private String deptNo;

    private String departmentName;

    private String deptNameShort;

    private Long parentComp;
    private Long ecCompany;

    private Long parentDept;
    private Long ecDepartment;

    private Long deptPrincipal;

    private Integer showOrder;

    private String description;

    private Boolean forbiddenTag;

    private Long subcompanyid1;

    private Long departmentid;
}
