package com.engine.organization.mapper.personnelcard;

import com.engine.organization.entity.personnelcard.ResourceBaseTab;
import com.engine.organization.entity.personnelcard.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author:dxfeng
 * @createTime: 2022/10/08
 * @version: 1.0
 */
public interface PersonnelCardMapper {
    /**
     * 获取人员卡片User对象
     *
     * @param id
     * @return
     */
    User getUserById(@Param("id") Long id);

    /**
     * 获取自定义显示栏目
     * @return
     */
    List<ResourceBaseTab> getResourceBaseTabList();
}
